Summary:        Real-mode video BIOS utility to alter hardware state
Name:		vbetool
Version:	1.2.2
Release:	%mkrel 8
License:        GPL
Group:          System/Configuration
URL:            http://www.codon.org.uk/~mjg59/vbetool/
Source0:        http://www.codon.org.uk/~mjg59/vbetool/download/vbetool-%{version}.tar.bz2
Patch0:		vbetool_1.1-lz.patch
Patch1:		vbetool-1.2.2-automake-1.13.patch
BuildRequires:  pciutils-devel 
BuildRequires:  libpciaccess-devel 
BuildRequires:  libx86-devel 
BuildRequires:  zlib-devel
ExclusiveArch:  %{ix86} x86_64 %{arm}

%description 
vbetool allows you to run real-mode video BIOS code to alter 
hardware state. It uses lrmi in order to run code from the video BIOS. 
Currently, it is able to alter DPMS states, save/restore video card state
and attempts to initialize the video card from scratch.

%prep
%setup -q
%patch0 -p1
%patch1 -p1 -b .automake-1_13

%build
autoreconf -fi
%configure2_5x
%make

%install
%makeinstall_std
install -m 0644 -D udev-video-post-example.rules $RPM_BUILD_ROOT/%{_udevrulesdir}/92-video-post.rules

%files 
%doc COPYING 
%{_mandir}/man1/vbetool.1*
%{_sbindir}/vbetool
%{_udevrulesdir}/92-video-post.rules


%changelog
* Fri Jun 17 2016 tv <tv> 1.2.2-8.mga6
+ Revision: 1021894
- package udev rules
- allow build on ARM

* Mon Feb 08 2016 umeabot <umeabot> 1.2.2-7.mga6
+ Revision: 945804
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.2-6.mga5
+ Revision: 746313
- Second Mageia 5 Mass Rebuild

* Sun Jul 06 2014 ovitters <ovitters> 1.2.2-5.mga5
+ Revision: 649733
+ rebuild (emptylog)

* Fri Oct 18 2013 umeabot <umeabot> 1.2.2-5.mga4
+ Revision: 521692
- Mageia 4 Mass Rebuild

* Wed Jan 23 2013 fwang <fwang> 1.2.2-4.mga3
+ Revision: 391576
- update rpm group

* Mon Jan 14 2013 umeabot <umeabot> 1.2.2-3.mga3
+ Revision: 385236
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 cjw <cjw> 1.2.2-2.mga3
+ Revision: 337913
- patch1: fix build with automake 1.13

* Mon Aug 15 2011 tv <tv> 1.2.2-1.mga2
+ Revision: 133377
- BuildRequires zlib-devel
- BuildRequires libpciaccess-devel
- new URL
- new release
- use bzip2 sources

* Thu Jan 20 2011 pterjan <pterjan> 1.1-6.mga1
+ Revision: 25660
- imported package vbetool

